scala

# text

#### package text

Visibility

1. Public
2. All

### Type Members

1. #### case class DocCons(hd: Document, tl: Document) extends Document with Product with Serializable

2. #### case class DocGroup(doc: Document) extends Document with Product with Serializable

3. #### case class DocNest(indent: Int, doc: Document) extends Document with Product with Serializable

4. #### case class DocText(txt: String) extends Document with Product with Serializable

5. #### abstract class Document extends AnyRef

   A basic pretty-printing library, based on Lindig's strict version of Wadler's adaptation of Hughes' pretty-printer.

### Value Members

1. #### object DocBreak extends Document with Product with Serializable

2. #### object DocNil extends Document with Product with Serializable

3. #### object Document extends AnyRef